(function ($, Drupal) {
    Drupal.behaviors.backToTop = {
      attach: function (context, settings) {
        if ($('#back-to-top').length === 0) {
          $('body').append('<div id="back-to-top"><a href="#">&#x25B2;</a></div>');
        }

        $(window).scroll(function () {
          if ($(this).scrollTop() > 100) {
            $('#back-to-top').fadeIn();
          } else {
            $('#back-to-top').fadeOut();
          }
        });

        $('#back-to-top a').click(function () {
          $('body,html').animate({
            scrollTop: 0
          }, 500);
          return FALSE;
        });
      }
    };
})(jQuery, Drupal);
